### Navigation

- index
- modules |
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# Module: `utils.importstring`

A simple utility to import something by its string name.

Authors:

- Brian Granger

## 1 Function

`IPython.utils.importstring.``import_item`(name)

  Import and return `bar` given the string `foo.bar`.

  Calling `bar = import_item("foo.bar")` is the functional equivalent of executing the code `from foo import bar`.

  Parameters :

  name : string

  > The fully qualified name of the module/package being imported.

  Returns :

  mod : module object

  > The module that was imported.

### Navigation

- index
- modules |
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »